Skip to main content
GET
/
v1
/
workflows
/
{workflow_uuid}
Get Workflow
curl --request GET \
  --url https://api.example.com/v1/workflows/{workflow_uuid}
{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "workflow_type": "<string>",
    "indicator_types": [
      "<string>"
    ],
    "state": "<string>",
    "code_version": 123,
    "is_active": true,
    "is_system": true,
    "tags": [
      "<string>"
    ],
    "time_saved_minutes": 123,
    "approval_mode": "<string>",
    "risk_level": "<string>",
    "documentation": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "code": "<string>",
    "timeout_seconds": 123,
    "retry_count": 123,
    "approval_channel": "<string>",
    "approval_timeout_seconds": 123
  },
  "meta": {}
}

Path Parameters

workflow_uuid
string<uuid>
required

Response

Successful Response

data
WorkflowResponse · object
required

Full response — includes code and approval config.

meta
Meta · object